#! /usr/bin/python3

RULE_BLACKLIST = ['', 'HS_BODY_1354', 'HS_HEADER_556', 'HS_BODY_835', 'HS_BODY_839', 'HS_BODY_1418', 'HS_BODY_1463']
RULES_HEAD = '''rspamd_config.R_DUMMY = function (task)
  return true
end
'''
METRICS_HEAD = '''actions {
}
group "spf" {
  symbol "R_SPF_FAIL" {
    weight = 1.0;
    description = "SPF verification failed";
  }
  symbol "R_SPF_SOFTFAIL" {
    weight = 0.0;
    description = "SPF verification soft-failed";
  }
  symbol "R_SPF_NEUTRAL" {
    weight = 0.0;
    description = "SPF policy is neutral";
  }
  symbol "R_SPF_ALLOW" {
    weight = -0.75;
    description = "SPF verification allows sending";
  }
  symbol "R_SPF_DNSFAIL" {
    weight = 0.0;
    description = "SPF DNS failure";
  }
}
group "dmarc" {
  symbol "DMARC_POLICY_ALLOW" {
    weight = -0.5;
    description = "DMARC permit policy";
  }
  symbol "DMARC_POLICY_ALLOW_WITH_FAILURES" {
    weight = -0.5;
    description = "DMARC permit policy with DKIM/SPF failure";
  }
  symbol "DMARC_POLICY_REJECT" {
    weight = 2.0;
    description = "DMARC reject policy";
  }
  symbol "DMARC_POLICY_QUARANTINE" {
    weight = 1.5;
    description = "DMARC quarantine policy";
  }
  symbol "DMARC_POLICY_SOFTFAIL" {
    weight = 0.1;
    description = "DMARC failed";
  }
}
group "fuzzy" {
  symbol "FUZZY_UNKNOWN" {
    weight = 1.0;
    description = "Generic fuzzy hash match";
  }
  symbol "FUZZY_DENIED" {
    weight = 2.1;
    description = "Denied fuzzy hash";
  }
  symbol "FUZZY_PROB" {
    weight = 1.0;
    description = "Probable fuzzy hash";
  }
  symbol "FUZZY_WHITE" {
    weight = -2.1;
    description = "Whitelisted fuzzy hash";
  }
}
'''

